Bug 601328 - Confusing package type selection when creating a package-based child of an AS4/5
Summary: Confusing package type selection when creating a package-based child of an AS4/5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Content   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: All
high
medium vote
Target Milestone: ---
: ---
Assignee: Ian Springer
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-content jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-07 17:24 UTC by Lukas Krejci
Modified: 2013-08-06 00:37 UTC (History)
3 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:44:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the JON 231 EWS app deploy ui (55.34 KB, image/png)
2010-06-09 14:41 UTC, Corey Welton
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 601921 None None None Never

Internal Trackers: 601921

Description Lukas Krejci 2010-06-07 17:24:28 UTC
Description of problem:

When creating a package-based child resource of JBoss AS (either 4 or 5), i.e. a WAR or an EAR file, the user is asked to provide the package info - the version, architecture and type of the package to be deployed.

The package type contains only "Cumulative Patch", "Jar Library" options, none of which seems immediately applicable to what the user is actually trying to deploy.

How reproducible:
always

Steps to Reproduce:
1. Go to inventory page of JBoss AS (4 or 5) resource
2. Select "Web Application (WAR)" from the "Create New" drop down.
3. Upload a war file, fill in the info, stay confused about what to fill in for the "Type".
  
Actual results:
Neither "Cumulative Patch" nor "Jar library" is an intuitive choice for a package type when deploying a war or ear file.

Expected results:
Some kind of more descriptive type(s) should be available for war and ears.

Comment 1 Charles Crouch 2010-06-07 21:52:32 UTC
IMHO we should not be prompting for "architecture" or "type of the package to be deployed" and "version" should be optional

Comment 2 Corey Welton 2010-06-09 14:39:40 UTC
> IMHO we should not be prompting for "architecture" or "type of the package to
> be deployed" and "version" should be optional   

This actually appears to be new -- but using very old UI.  

To clarify -- app deployment for EWS in JON 231 had a more traditional app deploy UI[1], very similar to that used for to EAP.  The page encountered in this bz hearkens back to the (IMO generally crufty and buggy) "Content" deploy UI that exists elsewhere in the code.

Do we have a design reason as to why this change was made?  

[1] see forthcoming screenshot.

Comment 3 Corey Welton 2010-06-09 14:41:45 UTC
Created attachment 422578 [details]
Screenshot of the JON 231 EWS app deploy ui

Comment 4 Ian Springer 2010-06-09 15:58:32 UTC
This is fixed by commit 63ed10cb156bc2a369b068677db8d313906825bb and has been pushed to master. The page no longer asks for Package Type or Architecture. It does still ask for Version, which is a required field.

Comment 5 Ian Springer 2010-06-09 17:17:21 UTC
commit 8f86f29ad2a90dab4854f06d39cf794acabdac10 (pushed to master) fixes a couple minor issues with the previous commit that Jay noticed. This is now ready for QA.

Comment 6 Sunil Kondkar 2010-06-11 11:25:53 UTC
Verified on jon build210 (Revision: 10655)

Observed that When creating a package-based child resource of JBoss AS, the page does not ask for package type or architecture and the field 'Version' is a required field.

Comment 7 Corey Welton 2010-08-12 16:44:20 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.